#!/bin/sh

##
## Copyright 2013 Cumulus Networks, Inc.
## All rights reserved.
##
## Platform specific install fragment for DNI-7448.
##
##

# Return the kernel file name to install.
#
# For older u-boot version without FIT support we need to return the
# platform specific uImage file.
#
# For newer u-boots the default FIT image is OK.
#
get_kernel_file()
{
    # check for the existence of the "preboot" u-boot environment
    # variable.  This indicates the older u-boot.
    fw_printenv preboot > /dev/null 2>&1 && {
        echo -n "dni_7448.initramfs.uImage"
        return
    }
    echo -n "$default_kernel_file"
}

# Local Variables:
# mode: shell-script
# eval: (sh-set-shell "/bin/sh" t nil)
# End:


